Siena C++ API Documentation
Author: Antonio Carzaniga

Siena C++ API documentation (v. 0.4.3)

- Main Page
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# Notifiable Class Reference

`#include <Siena.h>`

List of all members.

## Public Member Functions
virtual void | notify (Notification &e)=0
virtual void | notify (NotificationSequence &s)=0

## Detailed Description

subscriber object

A `Notifiable` represents an event consumer. Notifications are delivered to a `Notifiable` by calling its `notify` method. A `Notifiable` implement its specific response to event notifications by specializing `notify`.

Example:

          class Ticker : public Notifiable {
              virtual void notify(Notification &e) {
                  cout << e["price"].int_value() << endl;
              }
          };
          // ...
          Filter f;
          Ticker t;
          f.add_constraint("price", SX_lt, 500);
          S->subscribe(f, t);
          // ...

## Member Function Documentation

virtual void Notifiable::notify | ( | Notification & | e | ) | `[pure virtual]`

response to a notification of an event

The event service calls this method to notify the interested party. The interested party specializes this method to implement its response to the event notification.

Parameters:

  | e | notified event

virtual void Notifiable::notify | ( | NotificationSequence & | s | ) | `[pure virtual]`

response to a notification of a sequence of events

The event service calls this method to notify the interested party. The interested party specializes this method to implement its response to the event sequence notification.

Parameters:

  | s | notified sequence

The documentation for this class was generated from the following file:

- Siena.h

Copyright © 2001 University of Colorado.
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License". This documentation is authored and maintained by Antonio Carzaniga